using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static void Main(string[] args)
    {      
        int t = int.Parse(Console.ReadLine());
        for(int k = 0; k < t; k++)
        {
            string[] str = Console.ReadLine().Split();
            int n = int.Parse(str[0]);
            int m = int.Parse(str[1]);
            int[,] a = new int[n, m];
            if(n == m)
            {
                for (int i = 0; i < n; i++)
                    for(int j = m - 1 - i; j < m; j++)
                            a[i, j] = 1;
                
                for (int i = 0; i < n; i++)
                {
                    for (int j = 0; j < m; j++)
                        Console.Write(a[i, j] + " ");
                    Console.WriteLine();
                }
            }
            else
                Console.WriteLine(-1);
        }

        Console.ReadLine();
    }
}